# $Revision: 1.19 $, $Date: 2012/02/11 15:20:42 $
#
# TODO:
# - desktop
# - figure out what's wrong with the helper (sudo rutilt suggested for now)
#
Summary:	Wireless devices configuration tool, with extra support for Ralink chipsets
Summary(pl.UTF-8):	Narzędzie do konfiguracji urządzeń bezprzewodowych z dodatkową obsługą układów Ralink
Name:		rutilt
Version:	0.18
Release:	4
License:	GPL v2
Group:		Applications
Source0:	http://bonrom.cbbknet.com/files/RutilTv%{version}.tar.gz
# Source0-md5:	c745af9fbadd3a843b6f8273b6eb71bd
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-gcc46.patch
URL:		http://bonrom.cbbknet.com/
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	libstdc++-devel
BuildRequires:	linux-libc-headers
BuildRequires:	pkgconfig
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RutilT - wireless devices configuration tool, with extra support for
Ralink chipsets.

%description -l pl.UTF-8
RutilT - narzędzie do konfiguracji urządzeń bezprzewodowych z
dodatkową obsługą układów Ralink.

%prep
%setup -q -n RutilTv%{version}
%patch0 -p1
%patch1 -p1

%build
./configure.sh \
	--kernel_sources=%{_prefix} \
	--launcher=disabled \
	--prefix=%{_prefix}

%{__make} \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/rutilt

%{__make} install \
	RUTILT_PREFIX=$RPM_BUILD_ROOT%{_bindir} \
	HELPER_PREFIX=$RPM_BUILD_ROOT%{_libdir}/rutilt \
	IP_SCRIPT_PREFIX=$RPM_BUILD_ROOT%{_datadir}/rutilt \
	DATA_PREFIX=$RPM_BUILD_ROOT%{_datadir}/rutilt \
	ICON_16X16_PREFIX=$RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps \
	ICON_32X32_PREFIX=$RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps \
	ICON_48X48_PREFIX=$RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps \
	ICON_64X64_PREFIX=$RPM_BUILD_ROOT%{_iconsdir}/hicolor/64x64/apps \
	ICON_128X128_PREFIX=$RPM_BUILD_ROOT%{_iconsdir}/hicolor/128x128/apps \
	DESKTOP_LAUNCHER_PREFIX=$RPM_BUILD_ROOT%{_desktopdir} \
	MAN_PREFIX=$RPM_BUILD_ROOT%{_mandir}/man1 \
	HELPER_MODE=755

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_postun
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS README INSTALL art/COPYING
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/rutilt.desktop
%{_mandir}/man1/rutilt.1*
%{_mandir}/man1/rutilt_helper.1*
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rutilt.spec,v $
Revision 1.19  2012/02/11 15:20:42  adamg
- gcc4.6 buildfix (-gcc46.patch)
- URL updated
- release 4 (rebuild against libpng-1.5)

Revision 1.18  2011/12/20 19:37:12  arekm
- release 3

Revision 1.17  2011/02/04 18:24:02  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.16  2008/09/06 22:15:52  gotar
- pass CFLAGS (./configure.sh --cflags is stupid), added artwork license

Revision 1.15  2008/08/29 20:06:30  rotom
- up to 0.18
- proper Source URL

Revision 1.14  2008-05-06 17:37:35  qboosh
- enabled Source0 URL

Revision 1.13  2008-04-27 19:33:07  rotom
- fix Source0 URL

Revision 1.12  2008-03-20 19:10:57  grym3k
- up to 0.16
- fix rutilt-FHS.patch
- change prefix for icons dirs

Revision 1.11  2007-11-25 09:22:47  rotom
- up to 0.15

Revision 1.10  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.8  2006/09/12 10:24:38  radek
- version 0.12

Revision 1.7  2006/08/23 16:19:49  radek
- release 0.3: kill sudo

Revision 1.6  2006/08/21 22:58:11  radek
- removed -errno.patch

Revision 1.5  2006/08/20 18:20:30  qboosh
- specify --kernel_sources=/usr to enforce using linux-libc-headers

Revision 1.4  2006/08/20 18:03:58  qboosh
- optflags, overslashism cleanup

Revision 1.3  2006/08/20 14:27:15  qboosh
- pl

Revision 1.2  2006/08/11 20:18:52  radek
- uploaded to DF

Revision 1.1  2006/08/11 20:15:57  radek
- new
